create workergroup
curl --request POST \
--url https://console.vast.ai/api/v0/workergroups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"search_params": "gpu_name=RTX_3090 rentable=true",
"endpoint_id": 123,
"endpoint_name": "vLLM-Qwen3-8B",
"template_hash": "abc123def456",
"template_id": 456,
"launch_args": "--env VAR=value",
"gpu_ram": 24
}
'import requests
url = "https://console.vast.ai/api/v0/workergroups"
payload = {
"search_params": "gpu_name=RTX_3090 rentable=true",
"endpoint_id": 123,
"endpoint_name": "vLLM-Qwen3-8B",
"template_hash": "abc123def456",
"template_id": 456,
"launch_args": "--env VAR=value",
"gpu_ram": 24
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
search_params: 'gpu_name=RTX_3090 rentable=true',
endpoint_id: 123,
endpoint_name: 'vLLM-Qwen3-8B',
template_hash: 'abc123def456',
template_id: 456,
launch_args: '--env VAR=value',
gpu_ram: 24
})
};
fetch('https://console.vast.ai/api/v0/workergroups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://console.vast.ai/api/v0/workergroups",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'search_params' => 'gpu_name=RTX_3090 rentable=true',
'endpoint_id' => 123,
'endpoint_name' => 'vLLM-Qwen3-8B',
'template_hash' => 'abc123def456',
'template_id' => 456,
'launch_args' => '--env VAR=value',
'gpu_ram' => 24
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://console.vast.ai/api/v0/workergroups"
payload := strings.NewReader("{\n \"search_params\": \"gpu_name=RTX_3090 rentable=true\",\n \"endpoint_id\": 123,\n \"endpoint_name\": \"vLLM-Qwen3-8B\",\n \"template_hash\": \"abc123def456\",\n \"template_id\": 456,\n \"launch_args\": \"--env VAR=value\",\n \"gpu_ram\": 24\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://console.vast.ai/api/v0/workergroups")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"search_params\": \"gpu_name=RTX_3090 rentable=true\",\n \"endpoint_id\": 123,\n \"endpoint_name\": \"vLLM-Qwen3-8B\",\n \"template_hash\": \"abc123def456\",\n \"template_id\": 456,\n \"launch_args\": \"--env VAR=value\",\n \"gpu_ram\": 24\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://console.vast.ai/api/v0/workergroups")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"search_params\": \"gpu_name=RTX_3090 rentable=true\",\n \"endpoint_id\": 123,\n \"endpoint_name\": \"vLLM-Qwen3-8B\",\n \"template_hash\": \"abc123def456\",\n \"template_id\": 456,\n \"launch_args\": \"--env VAR=value\",\n \"gpu_ram\": 24\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"id": 789
}{
"success": false,
"error": "invalid_args",
"msg": "Please assign your workergroup to a valid endpoint identifier"
}{
"success": false,
"error": "<string>",
"msg": "<string>"
}{
"detail": "API requests too frequent endpoint threshold=4.0"
}Serverless
create workergroup
Creates a new workergroup configuration that manages worker instances for a serverless endpoint.
CLI Usage: vastai create workergroup --template_hash <hash> --endpoint_name <name> [options]
POST
/
api
/
v0
/
workergroups
create workergroup
curl --request POST \
--url https://console.vast.ai/api/v0/workergroups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"search_params": "gpu_name=RTX_3090 rentable=true",
"endpoint_id": 123,
"endpoint_name": "vLLM-Qwen3-8B",
"template_hash": "abc123def456",
"template_id": 456,
"launch_args": "--env VAR=value",
"gpu_ram": 24
}
'import requests
url = "https://console.vast.ai/api/v0/workergroups"
payload = {
"search_params": "gpu_name=RTX_3090 rentable=true",
"endpoint_id": 123,
"endpoint_name": "vLLM-Qwen3-8B",
"template_hash": "abc123def456",
"template_id": 456,
"launch_args": "--env VAR=value",
"gpu_ram": 24
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
search_params: 'gpu_name=RTX_3090 rentable=true',
endpoint_id: 123,
endpoint_name: 'vLLM-Qwen3-8B',
template_hash: 'abc123def456',
template_id: 456,
launch_args: '--env VAR=value',
gpu_ram: 24
})
};
fetch('https://console.vast.ai/api/v0/workergroups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://console.vast.ai/api/v0/workergroups",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'search_params' => 'gpu_name=RTX_3090 rentable=true',
'endpoint_id' => 123,
'endpoint_name' => 'vLLM-Qwen3-8B',
'template_hash' => 'abc123def456',
'template_id' => 456,
'launch_args' => '--env VAR=value',
'gpu_ram' => 24
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://console.vast.ai/api/v0/workergroups"
payload := strings.NewReader("{\n \"search_params\": \"gpu_name=RTX_3090 rentable=true\",\n \"endpoint_id\": 123,\n \"endpoint_name\": \"vLLM-Qwen3-8B\",\n \"template_hash\": \"abc123def456\",\n \"template_id\": 456,\n \"launch_args\": \"--env VAR=value\",\n \"gpu_ram\": 24\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://console.vast.ai/api/v0/workergroups")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"search_params\": \"gpu_name=RTX_3090 rentable=true\",\n \"endpoint_id\": 123,\n \"endpoint_name\": \"vLLM-Qwen3-8B\",\n \"template_hash\": \"abc123def456\",\n \"template_id\": 456,\n \"launch_args\": \"--env VAR=value\",\n \"gpu_ram\": 24\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://console.vast.ai/api/v0/workergroups")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"search_params\": \"gpu_name=RTX_3090 rentable=true\",\n \"endpoint_id\": 123,\n \"endpoint_name\": \"vLLM-Qwen3-8B\",\n \"template_hash\": \"abc123def456\",\n \"template_id\": 456,\n \"launch_args\": \"--env VAR=value\",\n \"gpu_ram\": 24\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"id": 789
}{
"success": false,
"error": "invalid_args",
"msg": "Please assign your workergroup to a valid endpoint identifier"
}{
"success": false,
"error": "<string>",
"msg": "<string>"
}{
"detail": "API requests too frequent endpoint threshold=4.0"
}Body
application/json